/// <reference types="react" />
import renderer from 'react-test-renderer';
import type { IComponentDriver } from './types';
export declare class BaseComponentDriver implements IComponentDriver {
    protected name: string;
    constructor(name: string);
    render(component: JSX.Element): this;
    element(selector: string): HTMLElement;
    fire(selector: string, event: Event): void;
    snapshot(component: JSX.Element): renderer.ReactTestRendererJSON | renderer.ReactTestRendererJSON[] | null;
    get wrapper(): HTMLElement;
}
